## postgresql-common 190

=== debian/changelog ===
postgresql-common (190) unstable; urgency=medium

  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Feb 2018 13:26:44 +0100

postgresql-common (189) unstable; urgency=medium

  [ Chris Lamb ]
  * Update README.Debian for postgresql-10. (Closes: #876438)

  [ Christoph Berg ]
  * dh_make_pgxs: Use PostgreSQL license as default, fix extension name.
  * Modernize README.Debian's version numbers and SSL instructions.
  * postgresql@.service: Ignore startup failure, recovery might take
    arbitrarily long to finish. The actual service status still correctly
    reflects if the postmaster process is running.
    https://www.postgresql.org/message-id/20171111205316.u56lkmkakdmcx6zm%40msg.df7cb.de
  * supported-versions: Version 10 on Ubuntu 18.04 (bionic). (Closes: #881501)
  * debian/maintscripts-functions: bump update-alternatives priority of
    version 1x to 1x0.
  * Unsupport 9.2 on apt.postgresql.org.
  * t/140_pg_config.t: Also test /usr/bin/pg_config.libpq-dev, and check
    MKDIR_P and abs_top_build/srcdir in Makefile.global.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Dec 2017 21:13:24 +0100

postgresql-common (188) unstable; urgency=medium

  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
    CVE-2016-1255.)
  * dh_make_pgxs: Add options to set package name and version.
  * pg_lsclusters: Raise error when called on a specific cluster that does not
    exist. This was the behavior before the "accept dead postgresql.conf
    symlinks" change, but not coded explicitly.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 08 Nov 2017 16:03:19 +0100

postgresql-common (187) unstable; urgency=medium

  * Consistently call psql -X. (Closes: #877920)
  * Update pt translation, thanks Ricardo Silva! (Closes: #872430)
  * pg_virtualenv: Drop "BUG" message that really just means that
    pg_createcluster threw an error.
  * pg_createcluster: Drop new cluster if --start was requested and starting
    fails.
  * pg_createcluster: If not running as postgres or root, don't attempt to
    install config and data parent directories with owner postgres.
  * pg_lsclusters, postgresql-generator, get_version_clusters, cluster_info,
    read_conf_file: Accept dead postgresql.conf symlinks, filesystem might not
    be mounted yet.
  * pg_virtualenv: Fix version comparison when determining newest PG major.
  * pg_updatedicts, postgresql-common.postinst: Create tsearch dictionaries on
    first install and set umask for correct permissions. (Closes: #868232)
    Thanks to Christian Ehrhardt for the analysis!
  * Demote postgresql-common hunspell/myspell triggers to noawait.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Oct 2017 20:44:38 +0200

postgresql-common (186) unstable; urgency=medium

  * Team upload.
  * Bump default apt.postgresql.org version to 10.
  * t/020_create_sql_remove.t: Support 8.x xlog filenames.
  * Update ca translation, thanks Innocent De Marchi! (Closes: #876472)
  * PgCommon.pm: Use BSD ps syntax in check_pidfile_running.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 05 Oct 2017 16:04:18 +0200

postgresql-common (185) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Revert "Error out if a recovery.conf file is found in /etc/postgresql".
    It caused too many false positives for setups where a recovery.conf
    template is located in the etc directory. (Closes: #868367)
  * Bump default PostgreSQL version to 10.

  [ Marco Nenciarini ]
  * supported-versions: correctly detect version 10 when using 'installed'.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 12:07:30 +0200
