## postgresql-common 190ubuntu0.1

=== Makefile ===
--- 
+++ 
@@ -27,3 +27,25 @@
 
 clean:
 	rm -f *.1 *.8 dh_make_pgxs/*.1
+
+# rpm
+
+DPKG_VERSION=$(shell sed -ne '1s/.*(//; 1s/).*//p' debian/changelog)
+RPMDIR=$(HOME)/rpmbuild
+TARBALL=$(RPMDIR)/SOURCES/postgresql-common_$(DPKG_VERSION).tar.xz
+
+rpmbuild: $(TARBALL)
+	rpmbuild --define='version $(DPKG_VERSION)' -ba rpm/postgresql-common.spec
+
+$(TARBALL):
+	mkdir -p $(dir $(TARBALL))
+	git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL)
+
+rpminstall:
+	sudo rpm --upgrade --replacefiles --replacepkgs -v $(RPMDIR)/RPMS/noarch/*-$(DPKG_VERSION)-*.rpm
+
+rpmremove:
+	-sudo rpm -e postgresql-common postgresql-client-common postgresql-server-dev-all
+
+rpmclean:
+	rm -rf $(TARBALL) $(RPMDIR)/BUILD
