## postgresql-common 190ubuntu0.1+9.0trisquel1

=== debian/changelog ===
postgresql-common (190ubuntu0.1+9.0trisquel1) etiona-security; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 23:48:56 +0000
