## postgresql-common 191.pgdg70%2B1

=== debian/changelog ===
postgresql-common (191.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-postgresql-common-source-
    distribution=wheezy-299,
    9c883ef81e2545888b6cc5d484fc68e6f52bc38b/git) Remove systemd
    dependency

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 10 May 2018 16:46:10 +0200

postgresql-common (191) unstable; urgency=medium

  [ Christoph Berg ]
  * PgCommon cluster_data_directory: Support clusters in and symlinked from
    /etc/postgresql/.
  * t/170_extensions.t: Add dependencies of jsonb_pl{perl,python}.

  [ Christian Ehrhardt ]
  * supported-versions: Add Ubuntu 18.10. (Closes: #898166)

 -- Christoph Berg <myon@debian.org>  Thu, 10 May 2018 16:44:19 +0200
