## postgresql-common 193

=== debian/changelog ===
postgresql-common (193) unstable; urgency=medium

  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)

  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Aug 2018 12:57:46 +0200

postgresql-common (192) unstable; urgency=medium

  * postgresql@.service: Use AssertPathExists instead of ConditionPathExists
    so trying to operate on non-existing clusters fails loudly.
    (Closes: #891836)
  * postgresql@.service: Add "RequiresMountsFor /etc/postgresql/%I
    /var/lib/postgresql/%I" to depend on mounts.
  * pg_createcluster: Fix error on importing existing clusters, spotted by
    Mark Eichin, thanks! (Closes: #886871)
  * postinst_check_catversion: Ignore errors while determining PGDATA.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 08 Aug 2018 16:21:59 +0200
