## postgresql-common 199

=== debian/changelog ===
postgresql-common (199) unstable; urgency=medium

  [ Antti Salmela ]
  * pg_upgradecluster: Pass --jobs to pg_upgrade when using upgrade method.

  [ Christoph Berg ]
  * supported-versions: Drop support for 9.3 on apt.postgresql.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 28 Jan 2019 16:27:27 +0100

postgresql-common (198) unstable; urgency=medium

  [ Christoph Berg ]
  * Add gitlab-ci.yml file to be included in all PostgreSQL team packages.
  * testsuite: Stop postgresql@* explicitly. (Workaround for #759725)

  [ Michael Banck ]
  * pg_buildext: Add support for passing Makefile variables via the new -m
    option. (Closes: #915953)

 -- Christoph Berg <myon@debian.org>  Sun, 16 Dec 2018 11:55:10 +0100

postgresql-common (197) unstable; urgency=medium

  * dh_make_pgxs: Update Maintainer address and package URLs.
  * pg_buildext: Fix problem with substitution pattern occurring multiple
    times.
  * pg_buildext: Set PG_REGRESS_DIFF_OPTS for unified diffs from pg_regress.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 22 Nov 2018 11:59:06 +0100

postgresql-common (196) unstable; urgency=medium

  [ Christoph Berg ]
  * Replace version 10 in examples by version 11. (Closes: #911391)
  * Replace -X.Y version number template in examples by -NN.
  * Updated Turkish translation by Atila Koç, thanks! (Closes: #912322)
  * read_conf_file: Accept '+' in unquoted values for floats like 1.5+e3.
    Thanks to David Barbion for spotting!
  * pg_buildext: Handle multiple overlapping substitutions in
    debian/tests/control.in better.

  [ Jeremy Bicha ]
  * Add Ubuntu 19.04 aka disco.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 21 Nov 2018 12:32:11 +0100

postgresql-common (195) unstable; urgency=medium

  * apt.postgresql.org: Add 11 as default to supported versions.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 18 Oct 2018 13:53:47 +0200

postgresql-common (194) unstable; urgency=medium

  * Remove iproute2 | net-tools dependency from postgresql-server-dev-all,
    obsolete in pg_buildext since 178.
  * Also save pg_controldata on catversion changes, pg_upgrade needs it.
    Spotted by Dagfinn Ilmari Mannsåker, thanks!
  * Chown /etc/postgresql to user postgres.
  * pg_ctlcluster: Use "fast" shutdown by default, and remove code to kill -9
    the server if it doesn't react to a --force stop. (Closes: #756008)
  * pg_upgradecluster: Start upgraded cluster only if it was running before,
    override with new --[no-]start option. (Closes: #876281)
  * pg_upgradecluster: With pg_upgrade, set wal_level early so standby servers
    can be upgraded via the instructions from pg_upgrade(1). (Closes: #876293)
  * pg_upgradecluster: Notify systemd about disabling the old cluster.
  * pg_upgradecluster: Drop sleep(4) that had been there since the first
    version.
  * pg_createcluster: Create stats_temp_directory, so pg_upgrade(cluster) can
    use it even without invoking pg_ctlcluster before. (Closes: #827469)
  * pg_upgradecluster: Drop check for pg_restore --no-data-for-failed-tables,
    switch was introduced in 8.2; use it always and not only when upgrade
    scripts are present. (Closes: #876282)
  * Debian: Default PostgreSQL version in buster is 11.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 11 Oct 2018 17:29:41 +0200
