=== debian/control ===
--- 
+++ 
@@ -83,7 +83,6 @@
 Architecture: all
 Depends:
  dctrl-tools,
- iproute2 | net-tools,
  lsb-release,
  make,
  postgresql-common (>= 117~),
