## postgresql-common 200pureos1

=== debian/changelog ===
postgresql-common (200pureos1) green; urgency=medium

  * Fork for PureOS:
    + Set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer.
    + Drop uploaders (package is team-maintained for PureOS).
    + Replace Vcs-* fields.
    + Add git-buildpackage config:
      - Set branches.
      - Use purism/* namespace for release tags.
      - Avoid use pristine-tar.
      - Sign tags.
    + Add README.source.
  * Detect PureOS releases (similar to Debian testing/unstable).
    Closes: PureOS:T261.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 May 2019 13:45:51 +0200

postgresql-common (200) unstable; urgency=medium

  * pg_createcluster: Don't refuse explicit -p argument even when port is
    already in use. (Closes: #653870)
  * pg_createcluster: Override suggested cluster start command in initdb.
    (Closes: #872660)
  * pg_upgradecluster, t/052_upgrade_encodings.t: pg_dumpall 11 retains the
    database encoding, so switching encodings via dump-restore does not work
    anymore.
  * pg_upgradecluster: Deprecate 'replacement_sort_tuples' in version 11.
  * pg_upgradecluster: Migrate postgresql.auto.conf to new cluster.
    (Closes: #810615)
  * pg_ctlcluster: Die early if logfile is not available. (Closes: #891234)
  * pg_ctlcluster: Die early if pg_ctl cannot be found. (See: #918784)
  * pg_ctlcluster: Document --skip-systemctl-redirect, and skip redirect if
    --foreground is requested.
  * pg_renamecluster: Notify systemd. (Closes: #839954)
  * pg_renamecluster: Document that cluster_name is updated as well.
  * pg_dropcluster: Delete tablespace directories. (Closes: #916449)
  * pg_dropcluster: Silence warning if data_directory is already gone.
    Spotted by Jean-Christophe Arnu, merci!
  * get_cluster_port: Fall back to 5432 if port is not defined in config.
    (Closes: #920248)
  * read_cluster_conf_file: Use cluster_data_directory instead of hardcoding
    /var/lib/postgresql.
  * postgresql@.service: Add After=network.target to ensure the server is
    stopped before networking goes down on shutdown. Thanks Elrond!
    (Closes: #910991)
  * postgresql@.service: Drop /var prefix from PIDFile, systemd complained
    about legacy directory /var/run/postgresql.
  * postgresql-generator: Don't attempt to auto-start removed versions.
    (Closes: #918784)

 -- Christoph Berg <myon@debian.org>  Fri, 01 Mar 2019 20:47:06 +0100
