=== debian/control ===
--- 
+++ 
@@ -1,27 +1,20 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
 XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders:
- Martin Pitt <mpitt@debian.org>,
- Christoph Berg <myon@debian.org>,
- Peter Eisentraut <petere@debian.org>,
-Standards-Version: 4.1.2
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
-Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
+Standards-Version: 4.3.0
 Build-Depends:
  debhelper (>= 9),
  debhelper (>= 10.1) | dh-systemd (>= 1.19),
  libreadline-dev,
  lsb-release,
+Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
+Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all
 Multi-Arch: foreign
-Conflicts:
- postgresql-7.4,
- postgresql-8.0,
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
