## postgresql-common 200+deb10u3

=== debian/changelog ===
postgresql-common (200+deb10u3) buster-security; urgency=medium

  * pg_ctlcluster: Drop privileges before creating socket and stats temp
    directories outside /var/run/postgresql. The default configuration is not
    affected by this change. Users with directories on volatile storage
    (tmpfs) in other locations have to make sure the parent directory is
    writable for the cluster owner. (CVE-2019-3466, discovered by Rich Mirch)

 -- Christoph Berg <myon@debian.org>  Tue, 12 Nov 2019 15:00:36 +0100

postgresql-common (200+deb10u2) buster; urgency=high

  DATA LOSS WARNING: pg_upgradecluster from postgresql-common 200,
  200+deb10u1, 201, and 202 will corrupt the data_directory setting when used
  *twice* to upgrade a cluster (e.g. 9.6 -> 10 -> 11). This update fixes the
  original problem, and also heals affected clusters on the next upgrade. No
  additional steps are required.

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=931635

  * pg_upgradecluster: Don't accidentally set (the wrong!) data_directory in
    postgresql.auto.conf. (Closes: #931635)
  * PgCommon.pm: Ignore data_directory when set in postgresql.auto.conf.
  * pg_upgradecluster: Delete data_directory from postgresql.auto.conf in new
    cluster.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Jul 2019 23:04:54 +0200
