## postgresql-common 200+deb10u3+nmu1

=== debian/changelog ===
postgresql-common (200+deb10u3+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:32:30 +0800
