## postgresql-common 203

=== debian/changelog ===
postgresql-common (203) unstable; urgency=medium

  DATA LOSS WARNING: pg_upgradecluster from postgresql-common 200 .. 202 will
  corrupt the data_directory setting when used *twice* to upgrade a cluster
  (e.g. 9.6 -> 10 -> 11). This update fixes the original problem, and also
  heals affected clusters on the next upgrade. No additional steps are required.

  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=931635

  * pg_createcluster: Allow clusters with owner gid 0. (salsa-ci uses that.)
  * pg_createcluster: If there are --auth options in createcluster.conf's
    initdb_options, don't update pg_hba.conf.
  * pg_upgradecluster: Don't accidentally set (the wrong!) data_directory in
    postgresql.auto.conf. (Closes: #931635)
  * PgCommon.pm: Ignore data_directory when set in postgresql.auto.conf.
  * pg_upgradecluster: Delete data_directory from postgresql.auto.conf in new
    cluster.
  * pg_upgradecluster: Use a tempfile instead of replacing the original
    pg_hba.conf file during upgrades.
  * pg_upgradecluster: With --keep-port, leave old cluster on original port.
    (Closes: #507133)
  * pg_ctlcluster: For consistency with systemctl, also accept action before
    cluster name: "pg_ctlcluster start 11 main".
  * pg_ctlcluster: Use `psql -w` to avoid flooding the log with errors when
    the cluster was configured for password authentication on local
    connections. Patch by Evgeny, thanks!
  * debian/tests: Do full testsuite run. Previously the full testsuite was
    only running from the postgresql-NN server package.
  * t/135_pg_virtualenv.t: Don't fail if fakeroot is not present.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Jul 2019 16:16:57 +0200

postgresql-common (202) unstable; urgency=medium

  * pg_ctlcluster: Close extra log filedescriptor. Thanks Andrey Borodin!
    (Closes: #930728)
  * pg_virtualenv: Disable fakeroot while creating clusters so we don't end up
    running as root.
  * t/135_pg_virtualenv.t: New test file.
  * t/TestLib.pm: Restrict check_clean to LISTENing sockets.
  * gitlab/gitlab-ci.yml: Run blhc; fail on lintian errors.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Jul 2019 14:39:56 +0200

postgresql-common (201) experimental; urgency=medium

  [ Christoph Berg ]
  * Disable ssl on older server versions. (Versions up to 9.1 support
    OpenSSL 1.0 only, which has been removed from Debian unstable.)
  * pg_upgrade: Fix 'sameuser' handling in pg_hba when upgrading from pre-8.4
    versions.
  * gitlab/gitlab-ci.yml: Ignore skipped tests, and packages without tests; install
    pristine-tar; install via dh_make_pgxs.
  * Move .gitlab-ci.yml to debian/gitlab-ci.yml; add buster and stretch,
  * remove jessie. (Not to be confused with gitlab/gitlab-ci.yml.)
  * dh_make_pgxs: Set debhelper compat level to 9, highest version supported
    by jessie and trusty.

  [ Andreas Hasenack ]
  * Set Ubuntu 19.10 default PostgreSQL version to 11.

 -- Christoph Berg <myon@debian.org>  Thu, 09 May 2019 10:02:05 +0200
