## postgresql-common 204.pgdg90%2B1

=== debian/changelog ===
postgresql-common (204.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Aug 2019 12:48:00 +0200
